This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 172871 - Review Request: driftnet
Review Request: driftnet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
:
: 187684 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-10 14:12 EST by Bastien Nocera
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 08:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec patch (3.26 KB, patch)
2005-11-11 10:11 EST, Adrian Reber
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-11-10 14:12:22 EST
Spec Name or Url: http://files.hadess.net/redhat/perso/spec/driftnet.spec
SRPM Name or Url: http://files.hadess.net/redhat/perso/source/driftnet-0.1.6-4.src.rpm
Description:
Driftnet is a program which listens to network traffic and picks out images from
TCP streams it observes. Fun to run on a host which sees lots of web traffic.
Comment 1 Adrian Reber 2005-11-11 10:07:54 EST
I will attach a patch for the spec file because it had just to many differences
with the packaging guidelines to list them all here.
Comment 2 Adrian Reber 2005-11-11 10:11:51 EST
Created attachment 120944 [details]
spec patch

The changes are:
- added URL
- added full URL for source0
- changed buildroot
- added requires %{_bindir}/consolehelper
- fixed description (< 80 characters)
- %setup -q
- honour RPM_OPT_FLAGS
- parallel build
- use of macros instead of hardcoded paths
- added clean section
Comment 3 Bastien Nocera 2005-11-11 10:55:39 EST
That was pretty gross indeed. I should really have checked the spec file before
putting it there ;)
Thanks Adrian.

Spec Name or Url: http://files.hadess.net/redhat/perso/spec/driftnet.spec
SRPM Name or Url:
http://files.hadess.net/redhat/perso/source/driftnet-0.1.6-5.src.rpm
Comment 4 Adrian Reber 2005-11-14 02:59:41 EST
- builds in mock
- source matches upstream
- spec looks good
- additional sources and patch look good
- clean installation and removal

Not approving yet as following makes me nervous, especially as this is running
as root:

/builddir/build/BUILD/driftnet-0.1.6/driftnet.c:588: warning: the use of
`tmpnam' is dangerous, better use `mkstemp'
Comment 5 Michael A. Peters 2005-11-14 03:16:33 EST
http://mirror.espri.arizona.edu/gentoo/rsync/net-analyzer/driftnet/files/driftnet-0.1.6-tmpnam-is-bad.diff

That's a gentoo patch for the tmpnam issue.
Comment 6 Bastien Nocera 2005-11-14 06:13:05 EST
Yay for the gentoo patch which doesn't clean up after itself...
Comment 7 Bastien Nocera 2005-12-13 11:57:25 EST
The mkdtemp in the gentoo patch didn't prefix the template with the user's tempdir.

Updated packages:
http://files.hadess.net/redhat/perso/source/driftnet-0.1.6-6.src.rpm
http://files.hadess.net/redhat/perso/spec/driftnet.spec

Adrian, do you want me to fix more compilation warnings with that, or?
Comment 8 Adrian Reber 2005-12-13 14:40:52 EST
* rpmlint is almost happy:
W: driftnet conffile-without-noreplace-flag /etc/security/console.apps/driftnet
W: driftnet no-dependency-on usermode-consoleonly
(can be ignored from my point of view)
* clean installation and removal
* builds in "mock -r fedora-development-i386-core"
* source matches upstream
* spec looks good (almost; see below)
* patches look sane

APPROVED

driftnet-0.1.6-pam.config:

using "auth       include      system-auth" instead of "auth       required    
pam_stack.so service=system-auth" like other applications from rawhide would be
a good idea.

The other warnings are not nice but at least they do not say that it is a
security risk to use them. If you like you can of course fix more warnings :-)

One more fix would be necessary before you upload it. There is a rm -rf in %prep
this should be moved to the beginning of %install.
Comment 9 Christian Iseli 2006-03-28 10:22:25 EST
Any particular reason why this package is not yet imported and built ?
Comment 10 Adrian Reber 2006-04-02 14:07:10 EDT
*** Bug 187684 has been marked as a duplicate of this bug. ***
Comment 11 Bastien Nocera 2006-04-03 08:45:27 EDT
Pushed to CVS in devel.

Note You need to log in before you can comment on or make changes to this bug.